from typing import List, Dict, Tuple
from pydantic import BaseModel


class InputElement(BaseModel):
    lang: str
    text: str


class NREHType(BaseModel):
    pos: str


class NRETType(BaseModel):
    pos: str


class InputElementNRE(BaseModel):
    text: str
    h: NREHType
    t: NRETType


InputNerType = List[InputElement]
InputOIEType = List[InputElement]
InputNREType = List[InputElementNRE]

InputSummaryType = List[str]
